package com.aip.gateway.api.service;

import com.aip.gateway.api.model.request.RequestFile;
import com.aip.gateway.api.model.request.RequestFileAllSet;
import com.aip.gateway.api.model.request.RequestFileDel;
import com.aip.gateway.api.model.request.RequestFileSet;
import com.aip.gateway.api.model.response.ResponseFile;
import com.aip.gateway.api.model.response.ResponseInfo;

public interface IApiFileService {

    ResponseInfo getInfo(RequestFile req);
    ResponseFile setLabel(RequestFileSet req);
    ResponseFile delLabel(RequestFileDel req);
    ResponseFile setProtection(RequestFileSet req);
    ResponseFile delProtection(RequestFileDel req);
    ResponseFile setLabelProtection(RequestFileAllSet req);
    ResponseFile delLabelProtection(RequestFileDel req);
}
